<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SpaceFighter2020: GameData Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SpaceFighter2020
   </div>
   <div id="projectbrief">This documentation reffers to the game Space Fighter 2020 created for pa2 course. Game is side-scrolling shooter where the goal is to get on the end of the level and kill as much as enemy ships as possible. Player can pick up bonuses for repairing point of health or upgrading his weapons.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">GameData Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Constains all constants.  
<a href="namespaceGameData.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ad2eb7e78695db8310b24f49dbef71858"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#ad2eb7e78695db8310b24f49dbef71858">m_MapsPath</a> = &quot;saves/levels&quot;</td></tr>
<tr class="separator:ad2eb7e78695db8310b24f49dbef71858"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add24bfb80566a8d1f4a163cef823fd6a"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#add24bfb80566a8d1f4a163cef823fd6a">m_ScorePath</a> = &quot;saves/score&quot;</td></tr>
<tr class="separator:add24bfb80566a8d1f4a163cef823fd6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a648024b133481fc22d13b1a860b33d2c"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a648024b133481fc22d13b1a860b33d2c">m_TopBorderHeight</a> = 1</td></tr>
<tr class="separator:a648024b133481fc22d13b1a860b33d2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80fdf0efe5acc638e4f57975202f4516"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a80fdf0efe5acc638e4f57975202f4516">m_GameWindowHeight</a> = 40</td></tr>
<tr class="separator:a80fdf0efe5acc638e4f57975202f4516"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bfc21f5eb1dd275e5bb6091b0da19bf"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a0bfc21f5eb1dd275e5bb6091b0da19bf">m_GameWindowWidth</a> = 202</td></tr>
<tr class="separator:a0bfc21f5eb1dd275e5bb6091b0da19bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f057848d4a85df61ca13dda3f6c676b"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a2f057848d4a85df61ca13dda3f6c676b">m_HUDHeight</a> = 5</td></tr>
<tr class="separator:a2f057848d4a85df61ca13dda3f6c676b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37c2367c5e6acf719699e2579664f809"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a37c2367c5e6acf719699e2579664f809">m_FPS</a> = 30</td></tr>
<tr class="separator:a37c2367c5e6acf719699e2579664f809"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf3fd19414c95fc414f257ac4606d6c7"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#acf3fd19414c95fc414f257ac4606d6c7">m_EndAfterLastEnemy</a> = 40000</td></tr>
<tr class="separator:acf3fd19414c95fc414f257ac4606d6c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f82c383572d9a1741af535190d6c8f8"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a6f82c383572d9a1741af535190d6c8f8">m_TopScore</a> = 5</td></tr>
<tr class="separator:a6f82c383572d9a1741af535190d6c8f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a464301794d1f84cbea610935a38debd1"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a464301794d1f84cbea610935a38debd1">m_ScoreForFinishing</a> = 500</td></tr>
<tr class="separator:a464301794d1f84cbea610935a38debd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31cebb7d4717bf171df527cecb8471e0"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a31cebb7d4717bf171df527cecb8471e0">m_ScorePerHealth</a> = 10</td></tr>
<tr class="separator:a31cebb7d4717bf171df527cecb8471e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab02272a71e004d519f41acec7840b9ab"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#ab02272a71e004d519f41acec7840b9ab">m_PlayerMaxHealth</a> = 9</td></tr>
<tr class="separator:ab02272a71e004d519f41acec7840b9ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a926f6e06cde2873c21d674d6d4049b67"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a926f6e06cde2873c21d674d6d4049b67">m_PlayerStartHealth</a> = 5</td></tr>
<tr class="separator:a926f6e06cde2873c21d674d6d4049b67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2cad14095fd0011e00b2075d84ab4324"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a2cad14095fd0011e00b2075d84ab4324">m_PlayerInvincibilityDuration</a> = 500</td></tr>
<tr class="separator:a2cad14095fd0011e00b2075d84ab4324"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52b55fdb990119e19b9d56c2f8efa937"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a52b55fdb990119e19b9d56c2f8efa937">m_MoveUpKey</a> = 119</td></tr>
<tr class="separator:a52b55fdb990119e19b9d56c2f8efa937"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f7da666f64327f737a0caabadaa02c3"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a6f7da666f64327f737a0caabadaa02c3">m_MoveDownKey</a> = 115</td></tr>
<tr class="separator:a6f7da666f64327f737a0caabadaa02c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c90c863638112b753efe5d443f8fec8"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a9c90c863638112b753efe5d443f8fec8">m_ExitKey</a> = 120</td></tr>
<tr class="separator:a9c90c863638112b753efe5d443f8fec8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2eb07b6a2368858122de33e1028273d4"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a2eb07b6a2368858122de33e1028273d4">m_BonusChance</a> = 60</td></tr>
<tr class="separator:a2eb07b6a2368858122de33e1028273d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadcc82b2a3f65146ab83197ecfcc5654"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#aadcc82b2a3f65146ab83197ecfcc5654">m_BonusSpeed</a> = 7</td></tr>
<tr class="separator:aadcc82b2a3f65146ab83197ecfcc5654"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95d8fde1cf03e57394a6da5a455de9d7"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a95d8fde1cf03e57394a6da5a455de9d7">m_MaxWeaponLevel</a> = 3</td></tr>
<tr class="separator:a95d8fde1cf03e57394a6da5a455de9d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3096c27f7cd6ab521d92dd43f88741df"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a3096c27f7cd6ab521d92dd43f88741df">m_MachineGunFireRate</a> = 110</td></tr>
<tr class="separator:a3096c27f7cd6ab521d92dd43f88741df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2723131b19384dbaddfa4dca153138f1"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a2723131b19384dbaddfa4dca153138f1">m_BulletSpeed</a> = 67</td></tr>
<tr class="separator:a2723131b19384dbaddfa4dca153138f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b23586a9371ab6326455119ea2d0aa6"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a5b23586a9371ab6326455119ea2d0aa6">m_BulletDmg</a> = 3</td></tr>
<tr class="separator:a5b23586a9371ab6326455119ea2d0aa6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae49dcdb5b70000e9dfe98b3374cbeb82"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#ae49dcdb5b70000e9dfe98b3374cbeb82">m_CannonFireRate</a> = 60</td></tr>
<tr class="separator:ae49dcdb5b70000e9dfe98b3374cbeb82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fc0a8c50c9b007dc25f6cfc37e1f0d7"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a9fc0a8c50c9b007dc25f6cfc37e1f0d7">m_ShellSpeed</a> = 75</td></tr>
<tr class="separator:a9fc0a8c50c9b007dc25f6cfc37e1f0d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ca4361994031cef98a2f1abaf9326c6"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a6ca4361994031cef98a2f1abaf9326c6">m_ShellDmg</a> = 8</td></tr>
<tr class="separator:a6ca4361994031cef98a2f1abaf9326c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc5503937fbc524c7858d1b80cdf256c"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#adc5503937fbc524c7858d1b80cdf256c">m_RocketLauncherFireRate</a> = 70</td></tr>
<tr class="separator:adc5503937fbc524c7858d1b80cdf256c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a229cae9e6f78629826bfd8cbe3c3d2cc"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a229cae9e6f78629826bfd8cbe3c3d2cc">m_RocketSpeed</a> = 69</td></tr>
<tr class="separator:a229cae9e6f78629826bfd8cbe3c3d2cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab880b2c6c9c3abbc28cb774071998903"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#ab880b2c6c9c3abbc28cb774071998903">m_RocketDmg</a> = 5</td></tr>
<tr class="separator:ab880b2c6c9c3abbc28cb774071998903"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e2aad48b70ae433349bc6b5bf1d8547"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a9e2aad48b70ae433349bc6b5bf1d8547">m_MiniRocketDmg</a> = 3</td></tr>
<tr class="separator:a9e2aad48b70ae433349bc6b5bf1d8547"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6ac57c67549e9f50529788048008145"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#ad6ac57c67549e9f50529788048008145">m_MiniRocketSpeed</a> = 50</td></tr>
<tr class="separator:ad6ac57c67549e9f50529788048008145"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a480009dec6bd88c48520c3995a1d8da0"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a480009dec6bd88c48520c3995a1d8da0">m_FighterScoreValue</a> = 50</td></tr>
<tr class="separator:a480009dec6bd88c48520c3995a1d8da0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85cf38a726649643682dc4883b9923fb"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a85cf38a726649643682dc4883b9923fb">m_FighterHealth</a> = 15</td></tr>
<tr class="separator:a85cf38a726649643682dc4883b9923fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f2e9b988004a307f283e77b434ad549"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a3f2e9b988004a307f283e77b434ad549">m_FighterFireRate</a> = 20</td></tr>
<tr class="separator:a3f2e9b988004a307f283e77b434ad549"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef61b00eb5bdc7bdaf49109b817e0c1b"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#aef61b00eb5bdc7bdaf49109b817e0c1b">m_FighterSpeed</a> = 8</td></tr>
<tr class="separator:aef61b00eb5bdc7bdaf49109b817e0c1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0d97878391b2e7c68e1c2802e7549a4"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#af0d97878391b2e7c68e1c2802e7549a4">m_BomberScoreValue</a> = 55</td></tr>
<tr class="separator:af0d97878391b2e7c68e1c2802e7549a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79fd3be7e472555a4517f2b63e92bbd6"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a79fd3be7e472555a4517f2b63e92bbd6">m_BomberHealth</a> = 25</td></tr>
<tr class="separator:a79fd3be7e472555a4517f2b63e92bbd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d4cf927fab47a673a6f98e040614059"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a7d4cf927fab47a673a6f98e040614059">m_BomberFireRate</a> = 25</td></tr>
<tr class="separator:a7d4cf927fab47a673a6f98e040614059"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51cd41a7d16dafacfc59ccfbf3141239"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a51cd41a7d16dafacfc59ccfbf3141239">m_BomberSpeed</a> = 7</td></tr>
<tr class="separator:a51cd41a7d16dafacfc59ccfbf3141239"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e9a8cc12df4afff459c39ee5b9a1e65"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a6e9a8cc12df4afff459c39ee5b9a1e65">m_DroneScoreValue</a> = 10</td></tr>
<tr class="separator:a6e9a8cc12df4afff459c39ee5b9a1e65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65941fd7738aa3ddeb1ae40b4f4cb908"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a65941fd7738aa3ddeb1ae40b4f4cb908">m_DroneHealth</a> = 9</td></tr>
<tr class="separator:a65941fd7738aa3ddeb1ae40b4f4cb908"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acaa4894ba9888557edd97891093edc5a"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#acaa4894ba9888557edd97891093edc5a">m_DroneFireRate</a> = 10</td></tr>
<tr class="separator:acaa4894ba9888557edd97891093edc5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44db7b7f25ebf278b20fc6022bbb651f"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a44db7b7f25ebf278b20fc6022bbb651f">m_DroneSpeed</a> = 10</td></tr>
<tr class="separator:a44db7b7f25ebf278b20fc6022bbb651f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba81d622b20cf2dba48f10889fa70971"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#aba81d622b20cf2dba48f10889fa70971">m_CruiserScoreValue</a> = 300</td></tr>
<tr class="separator:aba81d622b20cf2dba48f10889fa70971"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a6c529504abba23c106933eb606fb93"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a1a6c529504abba23c106933eb606fb93">m_CruiserHealth</a> = 45</td></tr>
<tr class="separator:a1a6c529504abba23c106933eb606fb93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa194f4fdc9853298f51cf0dd12dcf574"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#aa194f4fdc9853298f51cf0dd12dcf574">m_CruiserSpeed</a> = 8</td></tr>
<tr class="separator:aa194f4fdc9853298f51cf0dd12dcf574"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5755952c7f77efbb462a944133c56773"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a5755952c7f77efbb462a944133c56773">m_CruiserFireRate</a> = 500</td></tr>
<tr class="separator:a5755952c7f77efbb462a944133c56773"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa395afeccac9dd8d87e09a27274c7c3b"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#aa395afeccac9dd8d87e09a27274c7c3b">m_CruiserTravelTime</a> = 4500</td></tr>
<tr class="separator:aa395afeccac9dd8d87e09a27274c7c3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a088564ededaf5d6b56988b19a78e7705"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a088564ededaf5d6b56988b19a78e7705">m_CruiserFireTime</a> = 1000</td></tr>
<tr class="separator:a088564ededaf5d6b56988b19a78e7705"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Constains all constants. </p>
</div><h2 class="groupheader">Variable Documentation</h2>
<a id="a7d4cf927fab47a673a6f98e040614059"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d4cf927fab47a673a6f98e040614059">&#9670;&nbsp;</a></span>m_BomberFireRate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_BomberFireRate = 25</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>FireRate in projectiles per second </p>

</div>
</div>
<a id="a79fd3be7e472555a4517f2b63e92bbd6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79fd3be7e472555a4517f2b63e92bbd6">&#9670;&nbsp;</a></span>m_BomberHealth</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_BomberHealth = 25</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af0d97878391b2e7c68e1c2802e7549a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0d97878391b2e7c68e1c2802e7549a4">&#9670;&nbsp;</a></span>m_BomberScoreValue</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_BomberScoreValue = 55</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a51cd41a7d16dafacfc59ccfbf3141239"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51cd41a7d16dafacfc59ccfbf3141239">&#9670;&nbsp;</a></span>m_BomberSpeed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_BomberSpeed = 7</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Movement speed in blocks per second </p>

</div>
</div>
<a id="a2eb07b6a2368858122de33e1028273d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2eb07b6a2368858122de33e1028273d4">&#9670;&nbsp;</a></span>m_BonusChance</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_BonusChance = 60</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Chance in % that enemy upon death spawns bonus </p>

</div>
</div>
<a id="aadcc82b2a3f65146ab83197ecfcc5654"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadcc82b2a3f65146ab83197ecfcc5654">&#9670;&nbsp;</a></span>m_BonusSpeed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_BonusSpeed = 7</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Movement speed in blocks per second </p>

</div>
</div>
<a id="a5b23586a9371ab6326455119ea2d0aa6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b23586a9371ab6326455119ea2d0aa6">&#9670;&nbsp;</a></span>m_BulletDmg</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_BulletDmg = 3</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2723131b19384dbaddfa4dca153138f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2723131b19384dbaddfa4dca153138f1">&#9670;&nbsp;</a></span>m_BulletSpeed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_BulletSpeed = 67</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Movement speed in blocks per second </p>

</div>
</div>
<a id="ae49dcdb5b70000e9dfe98b3374cbeb82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae49dcdb5b70000e9dfe98b3374cbeb82">&#9670;&nbsp;</a></span>m_CannonFireRate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_CannonFireRate = 60</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>FireRate in projectiles per second </p>

</div>
</div>
<a id="a5755952c7f77efbb462a944133c56773"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5755952c7f77efbb462a944133c56773">&#9670;&nbsp;</a></span>m_CruiserFireRate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_CruiserFireRate = 500</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>FireRate in projectiles per second </p>

</div>
</div>
<a id="a088564ededaf5d6b56988b19a78e7705"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a088564ededaf5d6b56988b19a78e7705">&#9670;&nbsp;</a></span>m_CruiserFireTime</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_CruiserFireTime = 1000</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Duration that crusier is firing in ms </p>

</div>
</div>
<a id="a1a6c529504abba23c106933eb606fb93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a6c529504abba23c106933eb606fb93">&#9670;&nbsp;</a></span>m_CruiserHealth</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_CruiserHealth = 45</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aba81d622b20cf2dba48f10889fa70971"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba81d622b20cf2dba48f10889fa70971">&#9670;&nbsp;</a></span>m_CruiserScoreValue</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_CruiserScoreValue = 300</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa194f4fdc9853298f51cf0dd12dcf574"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa194f4fdc9853298f51cf0dd12dcf574">&#9670;&nbsp;</a></span>m_CruiserSpeed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_CruiserSpeed = 8</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa395afeccac9dd8d87e09a27274c7c3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa395afeccac9dd8d87e09a27274c7c3b">&#9670;&nbsp;</a></span>m_CruiserTravelTime</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_CruiserTravelTime = 4500</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Duration that crusier is moving in ms </p>

</div>
</div>
<a id="acaa4894ba9888557edd97891093edc5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acaa4894ba9888557edd97891093edc5a">&#9670;&nbsp;</a></span>m_DroneFireRate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_DroneFireRate = 10</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>FireRate in projectiles per second </p>

</div>
</div>
<a id="a65941fd7738aa3ddeb1ae40b4f4cb908"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65941fd7738aa3ddeb1ae40b4f4cb908">&#9670;&nbsp;</a></span>m_DroneHealth</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_DroneHealth = 9</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6e9a8cc12df4afff459c39ee5b9a1e65"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e9a8cc12df4afff459c39ee5b9a1e65">&#9670;&nbsp;</a></span>m_DroneScoreValue</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_DroneScoreValue = 10</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a44db7b7f25ebf278b20fc6022bbb651f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44db7b7f25ebf278b20fc6022bbb651f">&#9670;&nbsp;</a></span>m_DroneSpeed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_DroneSpeed = 10</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Movement speed in blocks per second </p>

</div>
</div>
<a id="acf3fd19414c95fc414f257ac4606d6c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf3fd19414c95fc414f257ac4606d6c7">&#9670;&nbsp;</a></span>m_EndAfterLastEnemy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_EndAfterLastEnemy = 40000</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Time it takes to game being over after last enemy is spawned in ms </p>

</div>
</div>
<a id="a9c90c863638112b753efe5d443f8fec8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c90c863638112b753efe5d443f8fec8">&#9670;&nbsp;</a></span>m_ExitKey</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_ExitKey = 120</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Key binding for exiting game </p>

</div>
</div>
<a id="a3f2e9b988004a307f283e77b434ad549"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f2e9b988004a307f283e77b434ad549">&#9670;&nbsp;</a></span>m_FighterFireRate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_FighterFireRate = 20</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>FireRate in projectiles per second </p>

</div>
</div>
<a id="a85cf38a726649643682dc4883b9923fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85cf38a726649643682dc4883b9923fb">&#9670;&nbsp;</a></span>m_FighterHealth</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_FighterHealth = 15</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a480009dec6bd88c48520c3995a1d8da0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a480009dec6bd88c48520c3995a1d8da0">&#9670;&nbsp;</a></span>m_FighterScoreValue</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_FighterScoreValue = 50</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aef61b00eb5bdc7bdaf49109b817e0c1b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef61b00eb5bdc7bdaf49109b817e0c1b">&#9670;&nbsp;</a></span>m_FighterSpeed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_FighterSpeed = 8</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Movement speed in blocks per second </p>

</div>
</div>
<a id="a37c2367c5e6acf719699e2579664f809"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37c2367c5e6acf719699e2579664f809">&#9670;&nbsp;</a></span>m_FPS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_FPS = 30</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a80fdf0efe5acc638e4f57975202f4516"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80fdf0efe5acc638e4f57975202f4516">&#9670;&nbsp;</a></span>m_GameWindowHeight</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_GameWindowHeight = 40</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Height of gaming board </p>

</div>
</div>
<a id="a0bfc21f5eb1dd275e5bb6091b0da19bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bfc21f5eb1dd275e5bb6091b0da19bf">&#9670;&nbsp;</a></span>m_GameWindowWidth</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_GameWindowWidth = 202</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Width of gaming board </p>

</div>
</div>
<a id="a2f057848d4a85df61ca13dda3f6c676b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f057848d4a85df61ca13dda3f6c676b">&#9670;&nbsp;</a></span>m_HUDHeight</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_HUDHeight = 5</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3096c27f7cd6ab521d92dd43f88741df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3096c27f7cd6ab521d92dd43f88741df">&#9670;&nbsp;</a></span>m_MachineGunFireRate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_MachineGunFireRate = 110</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>FireRate in projectiles per second </p>

</div>
</div>
<a id="ad2eb7e78695db8310b24f49dbef71858"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2eb7e78695db8310b24f49dbef71858">&#9670;&nbsp;</a></span>m_MapsPath</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string GameData::m_MapsPath = &quot;saves/levels&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Folder location of maps </p>

</div>
</div>
<a id="a95d8fde1cf03e57394a6da5a455de9d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95d8fde1cf03e57394a6da5a455de9d7">&#9670;&nbsp;</a></span>m_MaxWeaponLevel</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_MaxWeaponLevel = 3</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9e2aad48b70ae433349bc6b5bf1d8547"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e2aad48b70ae433349bc6b5bf1d8547">&#9670;&nbsp;</a></span>m_MiniRocketDmg</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_MiniRocketDmg = 3</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad6ac57c67549e9f50529788048008145"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6ac57c67549e9f50529788048008145">&#9670;&nbsp;</a></span>m_MiniRocketSpeed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_MiniRocketSpeed = 50</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Movement speed in blocks per second </p>

</div>
</div>
<a id="a6f7da666f64327f737a0caabadaa02c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f7da666f64327f737a0caabadaa02c3">&#9670;&nbsp;</a></span>m_MoveDownKey</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_MoveDownKey = 115</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Key binding for moving down </p>

</div>
</div>
<a id="a52b55fdb990119e19b9d56c2f8efa937"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52b55fdb990119e19b9d56c2f8efa937">&#9670;&nbsp;</a></span>m_MoveUpKey</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_MoveUpKey = 119</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Key binding for moving up </p>

</div>
</div>
<a id="a2cad14095fd0011e00b2075d84ab4324"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2cad14095fd0011e00b2075d84ab4324">&#9670;&nbsp;</a></span>m_PlayerInvincibilityDuration</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_PlayerInvincibilityDuration = 500</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Time duration in ms </p>

</div>
</div>
<a id="ab02272a71e004d519f41acec7840b9ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab02272a71e004d519f41acec7840b9ab">&#9670;&nbsp;</a></span>m_PlayerMaxHealth</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_PlayerMaxHealth = 9</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a926f6e06cde2873c21d674d6d4049b67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a926f6e06cde2873c21d674d6d4049b67">&#9670;&nbsp;</a></span>m_PlayerStartHealth</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_PlayerStartHealth = 5</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab880b2c6c9c3abbc28cb774071998903"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab880b2c6c9c3abbc28cb774071998903">&#9670;&nbsp;</a></span>m_RocketDmg</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_RocketDmg = 5</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adc5503937fbc524c7858d1b80cdf256c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc5503937fbc524c7858d1b80cdf256c">&#9670;&nbsp;</a></span>m_RocketLauncherFireRate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_RocketLauncherFireRate = 70</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>FireRate in projectiles per second </p>

</div>
</div>
<a id="a229cae9e6f78629826bfd8cbe3c3d2cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a229cae9e6f78629826bfd8cbe3c3d2cc">&#9670;&nbsp;</a></span>m_RocketSpeed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_RocketSpeed = 69</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Movement speed in blocks per second </p>

</div>
</div>
<a id="a464301794d1f84cbea610935a38debd1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a464301794d1f84cbea610935a38debd1">&#9670;&nbsp;</a></span>m_ScoreForFinishing</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_ScoreForFinishing = 500</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="add24bfb80566a8d1f4a163cef823fd6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add24bfb80566a8d1f4a163cef823fd6a">&#9670;&nbsp;</a></span>m_ScorePath</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string GameData::m_ScorePath = &quot;saves/score&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>File location of scores file </p>

</div>
</div>
<a id="a31cebb7d4717bf171df527cecb8471e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31cebb7d4717bf171df527cecb8471e0">&#9670;&nbsp;</a></span>m_ScorePerHealth</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_ScorePerHealth = 10</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6ca4361994031cef98a2f1abaf9326c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ca4361994031cef98a2f1abaf9326c6">&#9670;&nbsp;</a></span>m_ShellDmg</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_ShellDmg = 8</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9fc0a8c50c9b007dc25f6cfc37e1f0d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fc0a8c50c9b007dc25f6cfc37e1f0d7">&#9670;&nbsp;</a></span>m_ShellSpeed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_ShellSpeed = 75</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Movement speed in blocks per second </p>

</div>
</div>
<a id="a648024b133481fc22d13b1a860b33d2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a648024b133481fc22d13b1a860b33d2c">&#9670;&nbsp;</a></span>m_TopBorderHeight</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_TopBorderHeight = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6f82c383572d9a1741af535190d6c8f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f82c383572d9a1741af535190d6c8f8">&#9670;&nbsp;</a></span>m_TopScore</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int GameData::m_TopScore = 5</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Number of top scores being saved </p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
